<div class="ui grid">
    <div class="six wide column" *ngFor='let reservation of reservations'><app-admin-reservation [reservation]=reservation></app-admin-reservation></div>
</div>

<div id="footer" class="ui grid">
    <div class="twelve wide column">
        <div class="ui right aligned segment">
            <div class="ui inverted pagination menu">
                <a class="item" [ngClass]="{disabled: !hasPrevPage}" routerLink="/admin/reservations/1">
                    <i class="inverted angle double left icon"></i>
                </a>
                <a class="item" [ngClass]="{disabled: !hasPrevPage}" routerLink="{{'/admin/reservations/' + goToPrevPage()}}">
                    <i class="inverted angle left icon"></i>
                </a>
                <div class="item">
                {{page + " of " + totalPages}}
                </div>
                <a class="item" [ngClass]="{disabled: !hasNextPage}" routerLink="{{'/admin/reservations/' + goToNextPage()}}">
                    <i class="inverted angle right icon"></i>
                </a>
                <a class="item" [ngClass]="{disabled: !hasNextPage}" routerLink="{{'/admin/reservations/' + goToLastPage()}}">
                    <i class="inverted angle double right icon"></i>
                </a>
            </div>
        </div>        
    </div>
</div>
